FreeBSD - デスクトップ環境構築 - GhostBSD - 18.12 - 開発環境 Eclipse

 
1. 概要
2. インストール

1. 概要

 開発環境として「Eclipse」を使用します。  「Software Station」で「eclipse」を検索してインストールします。  ところが・・・「Software Station」で何度「Apply」ボタンを押してもインストールされないのです。

2. インストール

 仕方ないので「pkg」コマンドでインストールすることにしました。

$ pkg install eclipse
Updating GhostBSD-base repository catalogue...
GhostBSD-base repository is up to date.
Updating GhostBSD-ports repository catalogue...
GhostBSD-ports repository is up to date.
All repositories are up to date.
The following 5 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	eclipse: 4.6_2 [GhostBSD-ports]
	webkit-gtk2: 2.4.11_19 [GhostBSD-ports]
	openjdk8: 8.192.26_3 [GhostBSD-ports]
	javavmwrapper: 2.6 [GhostBSD-ports]
	java-zoneinfo: 2018.g [GhostBSD-ports]

Number of packages to be installed: 5

The process will require 432 MiB more space.
257 MiB to be downloaded.

Proceed with this action? [y/N]:
 ところが

[1/5] Fetching eclipse-4.6_2.txz: 100%  192 MiB 194.2kB/s    17:15
pkg: cached package eclipse-4.6_2: size mismatch, fetching from remote
[2/5] Fetching eclipse-4.6_2.txz: 100%  192 MiB 158.0kB/s    21:12
pkg: cached package eclipse-4.6_2: size mismatch, cannot continue
 なるほど、size mismatch なのね。  それでどうもインストールできてないんだな。  困ったなぁ(2019年03月05日)。